import request from '@/utils/request'

import {
	baseUrl
}
from '@/api/baseurl'




// 上传学时
export function addTime(data) {
	return request({
		url: baseUrl + '/student/gzpt-train-record',
		method: 'post',
		data
	})
}

// 查询已完成科目学时
export function getTime(data) {
	return request({
		url: baseUrl + '/student/gzpt-train-record/getTrainFinishKm',
		method: 'get'
	})
}

// 查询额定学时
export function getTimeInfo(data) {
	return request({
		url: baseUrl + '/student/gzpt-train-record/getTrainSubjectCredit',
		method: 'get'
	})
}

// 获取学员详细信息
export function getStudentInfo(data) {
	return request({
		url: baseUrl + '/student/gzpt/userInfo',
		method: 'get'
	})
}